Bug 1228574 - Add RHEL7.2 machine type in QEMU for PPC64LE
Summary: Add RHEL7.2 machine type in QEMU for PPC64LE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Laurent Vivier
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-05 08:54 UTC by Laurent Vivier
Modified: 2015-12-04 16:44 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.3.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 16:44:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2546 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2015-12-04 21:11:56 UTC

Description Laurent Vivier 2015-06-05 08:54:12 UTC
Description:

qemu-kvm from RHEL7.2 needs -M rhel7.2.0 working, to allow users to declare minimal compatibility requirement at rhel 7.2 level.

Test-case is 
# /usr/libexec/qemu-kvm -M ?

Output has to include:

none                 empty machine
pseries-rhel7.1.0    RHEL 7.1.0 pSeries Logical Partition (PAPR compliant)
pseries              RHEL 7.2.0 pSeries Logical Partition (PAPR
compliant) (alias of pseries-rhel7.2.0)
pseries-rhel7.2.0    RHEL 7.2.0 pSeries Logical Partition (PAPR
compliant) (default)

Comment 2 Miroslav Rezanina 2015-06-19 11:09:20 UTC
Fix included in qemu-kvm-rhev-2.3.0-3.el7

Comment 4 Gu Nini 2015-07-03 05:20:37 UTC
Laurent,

Seemed there is no the 'pseries-rhel7.1.0' machine type:

[root@ibm-p8-kvm-01-qe default]# /usr/libexec/qemu-kvm -M ?
Supported machines are:
none                 empty machine
pseries              RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (alias of pseries-rhel7.2.0)
pseries-rhel7.2.0    RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (default)
[root@ibm-p8-kvm-01-qe default]# 
[root@ibm-p8-kvm-01-qe default]# rpm -qa|grep qemu
ipxe-roms-qemu-20130517-7.gitc4bce43.el7.noarch
qemu-kvm-rhev-debuginfo-2.3.0-5.el7.ppc64le
libvirt-daemon-driver-qemu-1.2.17-1.el7.ppc64le
qemu-img-rhev-2.3.0-5.el7.ppc64le
qemu-kvm-common-rhev-2.3.0-5.el7.ppc64le
qemu-kvm-rhev-2.3.0-5.el7.ppc64le
qemu-kvm-tools-rhev-2.3.0-5.el7.ppc64le
[root@ibm-p8-kvm-01-qe default]#

Comment 5 Laurent Vivier 2015-07-03 08:46:40 UTC
Gu, it is normal.

As we have never released a qemu with pseries-rhel7.1.0 we don't need it for compatibility.

On request of dev team, during the review of my first patch where I had let it, I have removed it.

Comment 6 Qunfang Zhang 2015-07-31 10:34:43 UTC
Verified on qemu-kvm-rhev-2.3.0-13.el7.ppc64le. 

# rpm -qa | grep qemu-kvm-rhev
qemu-kvm-rhev-2.3.0-13.el7.ppc64le
qemu-kvm-rhev-debuginfo-2.3.0-13.el7.ppc64le

# /usr/libexec/qemu-kvm -machine ?
Supported machines are:
none                 empty machine
pseries              RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (alias of pseries-rhel7.2.0)
pseries-rhel7.2.0    RHEL 7.2.0 pSeries Logical Partition (PAPR compliant) (default)

Based on above, the RHEL7.2.0 machine type is added, setting to VERIFIED.

Comment 8 errata-xmlrpc 2015-12-04 16:44:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2546.html


Note You need to log in before you can comment on or make changes to this bug.